SDO_DAS_XML::loadFile
SDO_DAS_XML::saveFile
SDO DAS XML Functions
PHP Manual

# SDO_DAS_XML::loadString

(No version information available, might be only in CVS)

SDO_DAS_XML::loadString — Returns SDO_DAS_XML_Document for a given xml instance string

### Description

SDO_DAS_XML_Document SDO_DAS_XML::loadString ( string `$xml_string` )

Constructs the tree of SDO_DataObjects from the given xml instance string. Returns SDO_DAS_XML_Document Object. Use SDO_DAS_XML_Document::getRootDataObject method to get root data object.

### Parameters

`xml_string`

  xml string.

### Return Values

Returns SDO_DAS_XML_Document object on Success or throws exception as described.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined by the underlying model.

`SDO_PropertyNotFoundException`

  Thrown if the a property within a type is not defined in the underlying model.

`SDO_DAS_XML_ParserException`

  Thrown for any problems while parsing the given XSD File.

SDO_DAS_XML::loadFile
SDO_DAS_XML::saveFile
SDO DAS XML Functions
PHP Manual